#ifndef COMPONENT
#define COMPONENT

#define COMPONENT_DESCRIPTION_DIM 81

typedef struct ComponentStruct
{
	int code;
	char description[COMPONENT_DESCRIPTION_DIM];
	float unitPrice;

} Component;

#endif

Component* readComponentsFromTxt(char fileName[], int *count);
int findComponentByCode(Component componentArray[], int dim, int code);

//Test
void printComponent(Component comp);
void printComponents(Component componentArray[], int dim);